{...}: {
  virtualisation.oci-containers.containers.watchtower = {
    image = "ghcr.io/nicholas-fedor/watchtower:latest";
    autoStart = true;
    volumes = [
      "/var/run/podman/podman.sock:/var/run/docker.sock:ro"
    ];
    environment = {
      WATCHTOWER_CLEANUP = "true";
      WATCHTOWER_POLL_INTERVAL = "86400";
      WATCHTOWER_INCLUDE_STOPPED = "true";
      WATCHTOWER_REVIVE_STOPPED = "true";
      TZ = "Europe/Amsterdam";
    };
    cmd = ["--label-enable"];
  };
}
